<apex:page standardController="Case" extensions="Sites_Controller_SFLCase" sidebar="false" showHeader="False" >

<html dir="ltr" lang="en-US">
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 
    <title>DISH Business Salesforce Lite Case Creation</title>
 
    <!--- CSS --->
   
    </head>
<style>
/* ------- This is the CSS Reset ------- */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, 
abbr, acronym, address, big, cite, code, del,
dfn, em, img, ins, kbd, q, s, samp, small,
strike, strong, sub, sup, tt, var, u, i, center,
dl, dt, dd, ol, ul, li, fieldset, form, label,
legend, table, caption, tbody, tfoot, thead, tr,
th, td, article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup, menu,
nav, output, ruby, section, summary, time, mark, audio, video {

    margin: 0;
    padding: 0;

    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* ------- HTML5 display-role reset for older browsers ------- */

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
    display: block;
}
body {
    line-height: 1;
}
ol, ul {
    list-style: none;
}
blockquote, q {
    quotes: none;
}
blockquote:before, blockquote:after, q:before, q:after {
    content: '';
    content: none;
}


/* ------- Remove Chromes border around active fields ------- */

*:focus {
    outline: none;
}

/* ------- Disable background and border for input fields ------- */

input {
    background: transparent;
    border: 0;
}



/* --------------------------------------------------------------- */

/* ------- Body ------- */

body {
    background: #eeeeee url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=01560000000bdyD&amp;oid=00D600000006sHg&amp;lastMod=1348516192000') top left repeat;
}


/* ------- Container ------- */

#container {
    margin: auto;
    margin-top: 0px;
    width: 1142px;
    height: 788px;
    text-align: left;
    font-family: Verdana, Arial;
    font-weight: normal;
    font-size: 12px;
    color: #ffffff;
}


/* ------- Login Form ------- */

form, .welcome {
    background: url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=01560000000bbVx&amp;oid=00D600000006sHg&amp;lastMod=1348516079000') top left no-repeat;
    width: 1142px;
    height: 788px;
    padding-top: 1px;

}
.Chewbacca {
    border-style:solid;
    border-width:1px;
    border-color:blue;
}
.Table1 {
    width: 550px;
    float: left;
    margin-top: 75px;
    margin-left: 100px;
    font-family: Verdana, Arial;
    font-size: 18px;
    font-weight:bold; 
    color: 00FF00;
}
.Table2 {
    width: 1000px;
    margin-top: 1px;
    margin-left: 60px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    color: 00FF00;
}
.TableTitle1 {
    text-align:right;
    margin-right:5px;
    color: white;
    width: 90px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-color: white;
    padding: 2px;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableTitle1A {
    text-align:right;
    margin-right:5px;
    color: white;
    width: 190px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-color: white;
    padding: 2px;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableTitle2 {
    text-align:right;
    margin-right:5px;
    width: 115px;
    color: white;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-color: white;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableTitle3 {
    text-align:right;
    margin-right:5px;
    color: white;
    width: 190px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-color: white;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableTitle4 {
    text-align:Left;
    margin-left: -0px;
    color: white;
    width: 125px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-color: white;
    padding-bottom: 10px;
    padding-top: 10px;
    font-weight: normal;
}
.TableTitle5 {
    text-align:Left;
    margin-left: -10px;
    color: white;
    width: 500px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-color: white;
    padding-bottom: 10px;
    padding-top: 10px;
    font-weight: normal;
}
.TableDataInpput {
    color: black;
    width: 125px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold;
    padding: 1px;
    background: url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=01560000000bsM1&amp;oid=00D600000006sHg&amp;lastMod=1357142395000') center left no-repeat;
    padding-bottom: 10px;
    padding-top: 10px;
}

.TableDataInpput2A {
    color: black;
    width: 125x;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold;
    padding: 1px;
    background: url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=015600000016lfK&amp;oid=00D600000006sHg&amp;lastMod=1357142395000') center left no-repeat;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableDataInpput2 {
    color: black;
    width: 715px;
    margin-left: 40px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold;
    padding: 1px;
    background: url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=01560000000bsM1&amp;oid=00D600000006sHg&amp;lastMod=1357142395000') center left no-repeat;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableDataInpput2B {
    color: black;
    width: 715px;
    margin-left: 45px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold;
    padding: 1px;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableDataInpput3 {
    color: black;
    width: 125px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold;
    padding: 1px;
    background: url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=01560000000bsM1&amp;oid=00D600000006sHg&amp;lastMod=1357142395000') center left no-repeat;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableDataPullDown {
    color: black;
    width: 125px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold; 
    padding-bottom: 10px;
    padding-top: 10px;
 }
 .TableDataPullDown2 {
    color: black;
    width: 265px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold; 
    padding-bottom: 10px;
    padding-top: 10px;
 }
  .TableDataPullDown3 {
    color: black;
    width: 127px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold; 
    padding-bottom: 10px;
    padding-top: 10px;
 }
.TableSpacer {
    width: 1px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold; 
    color: 00FF00;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableSpacer2 {
    width: 10px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold; 
    color: 00FF00;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableSpacer3 {
    width: 95px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold; 
    color: 00FF00;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableSpacer4 {
    width: 325px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    font-weight:bold; 
    color: 00FF00;
    padding-bottom: 10px;
    padding-top: 10px;
}
.TableHolder {
    width: 1000px;
    float: left;
    margin-top: 1px;
    margin-left: 50px;
    font-family: Verdana, Arial;
    font-size: 18px;
    font-weight:bold; 
    color: 00FF00;
}
.Table3 {
    width: 550px;
    float: left;
    margin-top: 15px;
    margin-left: 325px;
    font-family: Verdana, Arial;
    font-size: 18px;
    font-weight:bold; 
    color: 00FF00;
}
.Table4 {
    width: 245px;
    margin-top: 1px;
    margin-left: 295px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    color: 00FF00;
}
.Table5 {
    width: 800px;
    margin-top: 10px;
    margin-left: 350px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    color: 00FF00;
    padding-top: 0px;
}
.Table6 {
    width: 275px;
    margin-top: -30px;
    margin-left: 350px;
    float: left;
    font-family: Verdana, Arial;
    font-size: 14px;
    color: 00FF00;
    padding-top: 50px;
}
.submit {
    width: 250x;
    height: 73px;
    float: left;
    font-family: Verdana, Arial;
    font-weight:bold; 
    font-size: 46px;
    color: white;
}
.disclaimer-text {
    width: 600px;
    margin-left: -50px;
    float: left;
    font-weight:Normal;
    font-size: 14px;
    font-family: Verdana, Arial;
    color:#ffffff;
}
.error-text {
    width: 500px;
    float: left;
    font-weight:bold;
    font-size: 16px;
    font-family: Verdana, Arial;
    color:#ffffff;
}
.locationError { font-size: 0px; color: blue; font-weight: strong;}
</style>

<body>
    <div id="container">
        <apex:form >
                <table class="Table1">
                        <tr>
                            <th> Contact Info </th>
                            <th> Case/Request Info </th>
                        </tr>
                </table>
                <table class="Table2">
                        <tr>
                                <td  class="TableTitle1">Name</td>
                                <td class="TableDataInpput"><apex:inputField required="true" value="{!SFLC.Contact_Name__c}" id="CTCName" taborderhint="1" /></td>  
                                <td  class="TableTitle1A">CSG Master Account #</td>
                                <td class="TableDataInpput" ><apex:inputField value="{!SFLC.CSG_Account_Number__c}" taborderhint="5" /></td>  
                                <td  class="TableSpacer2"></td>
                                <td  class="TableTitle3" >Location Contact</td>
                                <td class="TableDataInpput" ><apex:inputField value="{!SFLC.Location_Contact__c}" taborderhint="8" /></td>  
                                <td  class="TableSpacer3"></td>
                        </tr>
                        <tr>
                            <td class="TableTitle1">Phone #</td>
                            <td class="TableDataInpput" ><apex:inputField value="{!SFLC.Contact_Phone__c}" taborderhint="2" /></td>  
                            <td class="TableTitle1A">Request Type</td>
                            <td  class="TableDataPullDown" ><apex:inputField value="{!SFLC.RequestedAction__c}" taborderhint="6" /></td>
                            <td class="TableSpacer2"></td>
                            <td  class="TableTitle3" >Location Phone</td>
                            <td class="TableDataInpput" ><apex:inputField value="{!SFLC.Property_Phone__c}" taborderhint="9" /></td>  
                            <td class="TableSpacer3"></td>
                        </tr>
                        <tr>    
                            <td class="TableTitle1">Email</td>
                            <td class="TableDataInpput" ><apex:inputField value="{!SFLC.Contact_Email__c}" taborderhint="3" /></td>  
                            <td class="TableTitle1A">Requested Date</td>
                            <td class="TableDataInpput2A" ><apex:inputField value="{!SFLC.Requested_Actvation_Date_Time__c}" taborderhint="7" /></td>
                            <td class="TableSpacer2"></td>
                            <td class="TableTitle4"></td>
                            <td class="TableTitle4" ></td>
                            <td class="TableSpacer3"></td>
                        </tr>
                                                <tr>
                            <td class="TableTitle1"></td>
                            <td class="TableTitle1" ></td>  
                            <td class="TableTitle1"></td>
                            <td class="TableTitle1" ></td>
                            <td class="TableSpacer2"></td>
                            <td class="TableTitle3"></td>
                            <td class="TableTitle3" ></td>
                            <td class="TableSpacer3"></td>
                        </tr>
                </table>
                <table class="Table3">
                    <tr>
                        <th> Instructions / Descrption</th>
                    </tr>
                </table>
                <table class="TableHolder">
                    <tr>
                        <table class="Table4">
                            <tr>
                                <td class="TableTitle1">Details</td>
                            </tr>
                            <tr>
                             <td  class="TableDataInpput2B "><apex:inputtextarea value="{!SFLC.Description}" rows="7" style="width:700px;" /></td>
                            </tr>
                        </table>

                    </tr>
                </table>
                <table class="Table5">
                          <tr>                             
                             <td class="TableTitle5"><apex:inputCheckbox value="{!SFLC.Accept_Terms__c}" />I accept the terms listed below.</td>
                           </tr>
                           <tr>
                             <td class="TableTitle5">
                                 <apex:outputText value="I accept the Service Call Terms!" rendered="{!IF($CurrentPage.parameters.type='Service Call',true,false)}" />
                                 <apex:outputText value="I accept the Change Account Terms!" rendered="{!IF($CurrentPage.parameters.type='Change Account',true,false)}" />
                             </td>
                           </tr>
                           <tr>
                                 <td class="error-text"><apex:outputText value="{!error}"/><apex:message for="CTCName" styleClass="locationError" /> </td>
                         </tr>
                </table>
                <table class="Table6">
                        <tr>
                            <td class="disclaimer-text">Please call DISH Customer Service: 1-855-318-0572 for technical issues before ordering a troubleshooting/service call to help defray the $95 service call.</td>
                            <td taborderhint="31" ><apex:commandlink styleclass="submit" action="{!createSFLCase}" ><span> Go </span> </apex:commandlink></td>
                        </tr>
                </table>
        </apex:form>
    </div>
</body>
 </html>
</apex:page>